import React, { CSSProperties } from 'react';
import { Elements, NodeTypesType, EdgeTypesType, OnLoadFunc, Node, Edge, Connection, ConnectionLineType } from '../../types';
export interface GraphViewProps {
    elements: Elements;
    onElementClick?: (element: Node | Edge) => void;
    onElementsRemove?: (elements: Elements) => void;
    onNodeDragStart?: (node: Node) => void;
    onNodeDragStop?: (node: Node) => void;
    onConnect?: (connection: Connection | Edge) => void;
    onLoad?: OnLoadFunc;
    onMove?: () => void;
    selectionKeyCode: number;
    nodeTypes: NodeTypesType;
    edgeTypes: EdgeTypesType;
    connectionLineType: ConnectionLineType;
    connectionLineStyle?: CSSProperties;
    deleteKeyCode: number;
    snapToGrid: boolean;
    snapGrid: [number, number];
    onlyRenderVisibleNodes: boolean;
    isInteractive: boolean;
    selectNodesOnDrag: boolean;
    minZoom: number;
    maxZoom: number;
    defaultZoom: number;
}
declare const GraphView: React.MemoExoticComponent<({ nodeTypes, edgeTypes, onMove, onLoad, onElementClick, onNodeDragStart, onNodeDragStop, connectionLineType, connectionLineStyle, selectionKeyCode, onElementsRemove, deleteKeyCode, elements, onConnect, snapToGrid, snapGrid, onlyRenderVisibleNodes, isInteractive, selectNodesOnDrag, minZoom, maxZoom, defaultZoom, }: GraphViewProps) => JSX.Element>;
export default GraphView;
